package com.logicbig.example;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import java.util.List;

public interface EmployeeRepository extends CrudRepository<Employee, Long> {

    @Query(value = "SELECT max(avg_sal), min(avg_sal) FROM (SELECT dept , avg(salary) as avg_sal "
            + "from Employee  GROUP BY dept HAVING dept in ?1) ", nativeQuery = true)
    public Object[][] findMaxMinAvgSalariesOfDept(List<String> deptNames);
}